/*
// SBHELP.H     String table resource ID's for providing system menu help.
//
// Created:     Bruce Clift  12/10/91
//
// Inspired by Jeffrey Richter's Windows 3: A Developer's Guide.
*/

#ifndef __SBHELP_H
#define __SBHELP_H

/*
// String table ID base value (can't clash with other string ID's)
*/
#define IDS_SYSMENUID       0x7270

/*
// System menu ID's
*/
#define IDM_SYSMENUSIZE          0x00  /* ((SC_SIZE & 0x0FFF)       >> 4) */
#define IDM_SYSMENUMOVE          0x01  /* ((SC_MOVE & 0x0FFF)       >> 4) */
#define IDM_SYSMENUMINIMIZE      0x02  /* ((SC_MINIMIZE & 0x0FFF)   >> 4) */
#define IDM_SYSMENUMAXIMIZE      0x03  /* ((SC_MAXIMIZE & 0x0FFF)   >> 4) */
#define IDM_SYSMENUNEXTWINDOW    0x04  /* ((SC_NEXTWINDOW & 0x0FFF) >> 4) */
#define IDM_SYSMENUCLOSE         0x06  /* ((SC_CLOSE & 0x0FFF)      >> 4) */
#define IDM_SYSMENURESTORE       0x12  /* ((SC_RESTORE & 0x0FFF)    >> 4) */
#define IDM_SYSMENUTASKLIST      0x13  /* ((SC_TASKLIST & 0x0FFF)   >> 4) */

#endif /* __SBHELP_H */

