//
// STATICTE.HPP Interface for StaticText, derived from Control.
//
// Created:     Bruce Clift  8/26/91
//

#ifndef __STATICTE_HPP
#define __STATICTE_HPP

#ifndef __WFDEFS_HPP
#include "wfdefs.hpp"
#endif

#ifndef __CONTROL_HPP
#include "control.hpp"
#endif


/////////////////////
// CLASS INTERFACE //
/////////////////////

class StaticText : public Control {
public:
    // Constructors and destructors
    StaticText() : Control() {}
    StaticText(HWND hd, int id) : Control(hd, id) {}

    // Creation method alterations
    LPCSTR getClassName(void) { return "static"; }

};

#endif // __STATICTE_HPP
