//
// TEXTMETR.HPP Interface for TextMetric, derived from the Windows struct.
//
// Created:     Bruce Clift  11/5/91
//

#ifndef __TEXTMETR_HPP
#define __TEXTMETR_HPP

#ifndef __WFDEFS_HPP
#include "wfdefs.hpp"
#endif


/////////////////////
// CLASS INTERFACE //
/////////////////////

class TextMetric : public TEXTMETRIC {
public:
    // Constructors and destructors
    TextMetric() {}
    TextMetric(HDC hdc) { get(hdc); }
    ~TextMetric() {}

    // Get text metrics for a device context
    BOOL get(HDC hdc) { return GetTextMetrics(hdc, this); }

};

#endif // __TEXTMETR_HPP

