//
// METAFILE.CPP Methods for MetaFile class.
//
// Created:     Bruce Clift  11/25/91
//

#include <windows.h>

#include "metafile.hpp"


//
// Default constructor clears instance variables.
//
MetaFile::MetaFile() : _hdc(NULL), _hmf(NULL)
{}

//
// destroy method closes or deletes the meta file, as needed.
//
BOOL
MetaFile::destroy(void)
{
    if (_hdc)       close();
    else if (_hmf)  DeleteMetaFile(_hmf);
    else            return FALSE;
    _hmf = NULL;
    return TRUE;
}
