//
// MSGLOOP2.CPP Message loop number 2 for Message class.
//
// Created:     Bruce Clift  8/14/91
//

#include <windows.h>
#pragma hdrstop

#include "message.hpp"
#include "modeless.hpp"


//
// The loop method operates a simple Windows message loop.
//  INPUT: pMdls is the pointer to a Modeless dialog box object.
//  RETURNS: the WPARAM parameter of the WM_QUIT message.
//
WPARAM
Message::loop(Modeless *pMdls)
{
    while (get()) {
        if (!isDialog(pMdls->hwnd())) {
            translate();
            dispatch();
        }
    }
    return wParam;
}
