//
// MSGLOOP5.CPP Message loop number 5 for Message class.
//
// Created:     Bruce Clift  8/14/91
//

#include <windows.h>
#pragma hdrstop

#include "message.hpp"


//
// The loop method operates a simple Windows message loop for an application
// which includes the Multiple Document Interface.
//  INPUT: hwClient is the handle to the MDI client window.
//  RETURNS: the WPARAM parameter of the WM_QUIT message.
//
WPARAM
Message::loop(HWND hwClient)
{
    while (get()) {
        if (!mdiSysAccel(hwClient)) {
            translate();
            dispatch();
        }
    }
    return wParam;
}
