//
// REGION.CPP   Methods for Region class.
//
// Created:     Bruce Clift  11/25/91
//

#include <windows.h>

#include "region.hpp"


//
// Default constructor clears the handle.
//
Region::Region() : _hrgn(NULL)
{}

//
// The destroy method destroys regions that were created.
//
BOOL
Region::destroy(void)
{
    if (!_hrgn)
        return FALSE;
    DeleteObject(_hrgn);
    _hrgn = NULL;
    return TRUE;
}
