//
// RWCCLS.CPP   Implementation of RegWinCls constructor from existing class.
//
// Created:     Bruce Clift  10/12/91
//

#include <windows.h>
#pragma hdrstop

#include "regwincl.hpp"


//
// Construct window class registration info based on existing window.
//
RegWinCls::RegWinCls(LPCSTR cn, HINSTANCE hInst)
{
    // Alloc buffer for class name and copy it in
    lpszClassName = NULL;       // Flag that there is no string to free yet
    className(cn);              // Allocate space and copy in string

    // NOTE: although the menu name is not supposed to be set by GetClassInfo,
    // the field's value does sometimes change!  Must clear AFTER this call!!!
    GetClassInfo(hInst, cn, this);
    lpszMenuName = NULL;

    // Clear the Handler object pointer, to avoid possible confusion
    _pNewHandler = NULL;
}

