//
// MSGLOOP1.CPP Message loop number 1 for Message class.
//
// Created:     Bruce Clift  6/24/91
//

#include <windows.h>
#pragma hdrstop

#include "message.hpp"


//
// The loop method operates a simple Windows message loop.
//  RETURNS: the WPARAM parameter of the WM_QUIT message.
//
WPARAM
Message::loop(void)
{
    while (get()) {
        translate();
        dispatch();
    }
    return wParam;
}
