//
// STRINGRE.CPP Methods for StringResource class.
//
// Created:     Bruce Clift  11/25/91
//

#include <windows.h>

#include "stringre.hpp"


//
// Default constructor sets the length of the string resource buffer.
//
StringResource::StringResource(int nMax)
    : pString(NULL)
{
    maxLength(nMax);
}


//
// maxLength is used to change the size of the string buffer.
//  INPUT: nMax is the new size.
//
int
StringResource::maxLength(int nMax)
{
    if (pString) LocalFree((HLOCAL) pString);
    if (nMax)   pString = (PSTR) LocalAlloc(LPTR, nMax + 1);
    else        pString = NULL;
    return (nMaxLen = nMax);
}
